# Get Users

Get a list of users in the tenant

Endpoint: GET /user/
Version: 1.0.0
Security: apiKey

## Response 200 fields (application/json):

  - `count` (integer)

  - `previous` (string)

  - `next` (string)

  - `results` (array)

  - `results.id` (integer)

  - `results.username` (string)

  - `results.email` (string)

  - `results.first_name` (string)

  - `results.last_name` (string)

  - `results.full_name` (string)

  - `results.is_staff` (boolean)

  - `results.is_superuser` (boolean)

  - `results.is_active` (boolean)

  - `results.profile` (object)

  - `results.profile.id` (integer)

  - `results.profile.enterprise_user_id` (string)

  - `results.profile.authn_user_id` (string)

  - `results.profile.authn_connection_id` (string)

  - `results.profile.authz_role_id` (string)

  - `results.profile.role` (string)
    Enum: "Shoonya Admin", "Enterprise Admin", "Enterprise User", "Viewer", "Group Admin", "Group Viewer"

  - `results.profile.enterprise` (string)

  - `results.profile.is_customer` (boolean)

  - `results.profile.is_endpoint_creator` (boolean)

  - `results.profile.created_on` (string)

  - `results.profile.updated_on` (string)

  - `results.profile.setup_wizard_complete` (boolean)

  - `results.profile.default_password_changed` (boolean)

  - `results.profile.is_developer` (boolean)

  - `results.profile.can_factory_reset` (boolean)

  - `results.profile.groups` (array)

  - `results.profile.groups.id` (string)

  - `results.profile.groups.name` (string)

  - `results.profile.groups.path` (string)

  - `results.profile.groups.device_count` (integer)

  - `results.emm` (object)

  - `results.emm.id` (integer)

  - `results.emm.user` (integer)

  - `results.emm.account_identifier` (string)

  - `results.emm.account_type` (string)

  - `results.emm.display_name` (string)

  - `results.emm.google_user_id` (string)

  - `results.emm.google_enterprise` (integer)

  - `results.emm.is_active` (boolean)

  - `results.emm.created_on` (string)

  - `results.emm.updated_on` (string)

  - `results.emm.authentication_token` (object)

  - `results.emm.authentication_token.id` (integer)

  - `results.emm.authentication_token.token` (string)

  - `results.emm.authentication_token.is_active` (boolean)

  - `results.emm.authentication_token.updated_on` (string)

  - `results.last_login` (string)

  - `results.token` (string)

  - `results.has_emm` (boolean)

## Response 401 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)

## Response 500 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)


